com.microfocus.awm.meta.interfaces

## Interface RElementlistProperty

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RElementlistPropertyImpl

  Deprecated.
  The relationship is no longer used by the client. Element list properties will be added to element lists as soon as the tool returns string output parameters with the file output parameter.

      @Deprecated
      public interface RElementlistProperty
      extends AWMObject

  A representation of the model object ' RElementlist Property'.

  The following features are supported:

  - `Target ID`
  - `Label`
  - `Seq No`
  See Also:
    `TaurusPackage.getRElementlistProperty()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` Deprecated. Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Deprecated. /** Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `int` | `getSeqNo()` Deprecated. Returns the value of the 'Seq No' attribute.
    `Property` | `getTargetID()` Deprecated. Returns the value of the 'Target ID' reference.
    `boolean` | `isSetSeqNo()` Deprecated. Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setLabel(java.lang.String value)` Deprecated. Sets the value of the '`Label`' attribute.
    `void` | `setSeqNo(int value)` Deprecated. Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(Property value)` Deprecated. Sets the value of the '`Target ID`' reference.
    `void` | `unsetSeqNo()` Deprecated. Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          Property getTargetID()

      Deprecated.
      Returns the value of the 'Target ID' reference. Reference to a property to be added as an element list property.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRElementlistProperty_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Deprecated.
      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getLabel

          java.lang.String getLabel()

      Deprecated.
      Returns the value of the 'Label' attribute.
      The display text of the property.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRElementlistProperty_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Deprecated.
      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Deprecated.
      /** Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Property its Label wasn't set, too, its ID will be returned.

    - #### getSeqNo

          int getSeqNo()

      Deprecated.
      Returns the value of the 'Seq No' attribute.
      The sequence number of the element list property.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRElementlistProperty_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Deprecated.
      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Deprecated.
      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Deprecated.
      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.